Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
calls
cURL
curl -X GET \
  https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}/calls \
  -H 'Authorization: Bearer {{TOKEN}}'
{
  "success": true,
  "pagination": {
    "limit": 123,
    "offset": 123,
    "hasNext": true
  },
  "data": [
    {
      "id": "<string>",
      "direction": "inbound",
      "status": "initiated",
      "contact": {
        "id": "<string>",
        "email": "chris@sakari.io",
        "firstName": "Chris",
        "lastName": "Bloggs",
        "lists": [
          {
            "id": "<string>",
            "name": "<string>",
            "keyword": "<string>",
            "doubleOptIn": {
              "enabled": true,
              "prompt": "<string>"
            },
            "filter": {
              "q": "<string>",
              "attributes": [
                {
                  "attribute": "<string>",
                  "comparator": "<string>",
                  "value": [
                    "<string>"
                  ]
                }
              ],
              "list": "<string>",
              "valid": true,
              "invalid": true,
              "blocked": true,
              "unblocked": true,
              "optIn": true
            },
            "optInConfirmation": "<string>",
            "optIn": "2023-11-07T05:31:56Z",
            "optOut": "2023-11-07T05:31:56Z"
          }
        ],
        "attributes": {},
        "optIn": "2023-11-07T05:31:56Z",
        "blocked": "2023-11-07T05:31:56Z",
        "activecampaign": {
          "id": 123
        },
        "hubspot": {
          "id": 123
        },
        "pipedrive": {
          "id": 123
        },
        "valid": true
      },
      "phoneNumber": {
        "id": "<string>",
        "status": "<string>",
        "number": "<string>",
        "country": "<string>",
        "type": "<string>",
        "name": "<string>",
        "verified": true,
        "provider": "<string>",
        "supportedDestinations": [
          "<string>"
        ],
        "forwardTo": {},
        "universalReply": true,
        "channels": {
          "sms": {
            "active": true,
            "universalReply": true,
            "supportedDestinations": {},
            "regulatory": {
              "brandStatus": "<string>",
              "campaign": {
                "id": "<string>",
                "campaignId": "<string>",
                "useCase": "<string>"
              },
              "pft": true,
              "submitted": "2023-11-07T05:31:56Z",
              "approved": "2023-11-07T05:31:56Z",
              "rejected": "2023-11-07T05:31:56Z"
            }
          },
          "voice": {
            "active": true,
            "incoming": {
              "action": "forward",
              "forwardTo": "<string>",
              "message": "<string>",
              "transcribe": true
            },
            "features": [
              "<string>"
            ]
          },
          "whatsapp": {
            "active": true
          }
        },
        "groups": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "hosted": true
      },
      "created": {
        "at": "2023-11-07T05:31:56Z",
        "by": {
          "id": "<string>",
          "name": "Joe Bloggs",
          "firstName": "Joe",
          "lastName": "Bloggs",
          "email": "joe@bloggs.com",
          "source": "<string>",
          "subSource": "<string>"
        }
      },
      "duration": 123,
      "voicemail": true,
      "recording": true
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

Query Parameters

conversationId
string

ID of conversation

phonenumberId
string

ID of the Sakari phone number

contactId
string

ID of contact

userId
string

ID of user

groupId
string

ID of group

direction
enum<string>

Direction of call

Available options:
inbound,
outbound
status
enum<string>

Status of call

Available options:
initiated,
ringing,
active,
ended,
rejected,
forwarded,
missed,
transferring
from
string<date-time>

Start date

to
string<date-time>

End date

offset
integer<int64>

Results to skip when paginating through a result set

Required range: x >= 0
limit
integer<int64>

Maximum number of results to return

Required range: 1 <= x <= 100

Response

successful operation

success
boolean
required
pagination
object
required
data
object[]
required